> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /magazineluiza/products

> Get full Magazine Luiza (Magalu) product details by SKU/id or product URL: name, brand, price, installments, images, rating, seller (buybox), availability, description, attributes and category.

**Price:** 1 credit

**⚠️ Common errors:** 412: Product not found (well-formed but nonexistent SKU/id)



## OpenAPI

````yaml /openapi/e-commerce-marketplaces.json post /api/magazineluiza/products
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/magazineluiza/products:
    post:
      tags:
        - /magazineluiza
      summary: /magazineluiza/products
      description: >-
        Get full Magazine Luiza (Magalu) product details by SKU/id or product
        URL: name, brand, price, installments, images, rating, seller (buybox),
        availability, description, attributes and category.


        **Price:** 1 credit


        **⚠️ Common errors:** 412: Product not found (well-formed but
        nonexistent SKU/id)
      operationId: __api_magazineluiza_products_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MagazineluizaProductsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MagazineluizaProduct'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MagazineluizaProductsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        zipcode:
          anyOf:
            - type: string
            - type: 'null'
        product:
          type: string
          minLength: 1
        seller_id:
          anyOf:
            - type: string
            - type: 'null'
        include_description:
          type: boolean
          default: true
      type: object
      required:
        - product
    MagazineluizaProduct:
      properties:
        '@type':
          type: string
          default: MagazineluizaProduct
        id:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        reference:
          anyOf:
            - type: string
            - type: 'null'
        brand:
          anyOf:
            - $ref: '#/components/schemas/MagazineluizaBrand'
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        is_available:
          anyOf:
            - type: boolean
            - type: 'null'
        is_buy_box:
          anyOf:
            - type: boolean
            - type: 'null'
        product_type:
          anyOf:
            - type: string
            - type: 'null'
        variation_id:
          anyOf:
            - type: string
            - type: 'null'
        price:
          anyOf:
            - $ref: '#/components/schemas/MagazineluizaPrice'
            - type: 'null'
        installment:
          anyOf:
            - $ref: '#/components/schemas/MagazineluizaInstallment'
            - type: 'null'
        rating:
          anyOf:
            - $ref: '#/components/schemas/MagazineluizaRating'
            - type: 'null'
        seller:
          anyOf:
            - $ref: '#/components/schemas/MagazineluizaSeller'
            - type: 'null'
        category:
          anyOf:
            - $ref: '#/components/schemas/MagazineluizaCategory'
            - type: 'null'
        subcategory:
          anyOf:
            - $ref: '#/components/schemas/MagazineluizaCategory'
            - type: 'null'
        attributes:
          items:
            $ref: '#/components/schemas/MagazineluizaProductAttribute'
          type: array
          default: []
        offer_tags:
          items:
            type: string
          type: array
          default: []
        minimum_order_quantity:
          anyOf:
            - type: integer
            - type: 'null'
        path:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    MagazineluizaBrand:
      properties:
        '@type':
          type: string
          default: MagazineluizaBrand
        name:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    MagazineluizaPrice:
      properties:
        '@type':
          type: string
          default: MagazineluizaPrice
        best_price:
          anyOf:
            - type: number
            - type: 'null'
        full_price:
          anyOf:
            - type: number
            - type: 'null'
        list_price:
          anyOf:
            - type: number
            - type: 'null'
        discount_percent:
          anyOf:
            - type: number
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        payment_description:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    MagazineluizaInstallment:
      properties:
        '@type':
          type: string
          default: MagazineluizaInstallment
        quantity:
          anyOf:
            - type: integer
            - type: 'null'
        amount:
          anyOf:
            - type: number
            - type: 'null'
        total_amount:
          anyOf:
            - type: number
            - type: 'null'
        payment_description:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    MagazineluizaRating:
      properties:
        '@type':
          type: string
          default: MagazineluizaRating
        count:
          anyOf:
            - type: integer
            - type: 'null'
        score:
          anyOf:
            - type: number
            - type: 'null'
      type: object
    MagazineluizaSeller:
      properties:
        '@type':
          type: string
          default: MagazineluizaSeller
        id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        legal_name:
          anyOf:
            - type: string
            - type: 'null'
        document_number:
          anyOf:
            - type: string
            - type: 'null'
        seller_type:
          anyOf:
            - type: string
            - type: 'null'
        score:
          anyOf:
            - type: number
            - type: 'null'
        total_sales:
          anyOf:
            - type: integer
            - type: 'null'
        since_at:
          anyOf:
            - type: integer
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        delivery_description:
          anyOf:
            - type: string
            - type: 'null'
        delivery_rate:
          anyOf:
            - type: string
            - type: 'null'
        answer_rate:
          anyOf:
            - type: string
            - type: 'null'
        is_chat_enabled:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
    MagazineluizaCategory:
      properties:
        '@type':
          type: string
          default: MagazineluizaCategory
        id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    MagazineluizaProductAttribute:
      properties:
        '@type':
          type: string
          default: MagazineluizaProductAttribute
        attribute_type:
          anyOf:
            - type: string
            - type: 'null'
        label:
          anyOf:
            - type: string
            - type: 'null'
        value:
          anyOf:
            - type: string
            - type: 'null'
        current:
          anyOf:
            - type: string
            - type: 'null'
        values:
          items:
            type: string
          type: array
          default: []
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````